%define with_bootstrap  0
Name:           java_cup
Version:        0.11b
Release:        13
Epoch:          1
Summary:        LALR parser generator for Java
License:        MIT
URL:            http://www2.cs.tum.edu/projects/cup/
BuildArch:      noarch
Source0:        http://www2.cs.tum.edu/projects/cup/releases/java-cup-src-11b-20150326.tar.gz
Source1:        java_cup-MANIFEST.MF
Source2:        java_cup-runtime-MANIFEST.MF
Patch0001:      java_cup-build.patch
BuildRequires:  ant javapackages-local jflex
%if 0%{?with_bootstrap}
BuildRequires:  java_cup >= 1:0.11a
%endif

%description
The package provides a LALR Parser Generator for Java.

%package       help
Summary:       Documentation for java_cup
Provides:      java_cup-javadoc = 1:%{version}-%{release} java_cup-manual = 1:%{version}-%{release}
Obsoletes:     java_cup-javadoc < 1:%{version}-%{release} java_cup-manual < 1:%{version}-%{release}

%description   help
The package contains javadocs for java-cup.

%prep
%autosetup -c -n %{name}-%{version}

find -name "*.class" | xargs rm -rf
%mvn_file ':{*}' @1

%if 0%{?with_bootstrap}
for i in JFlex.jar java-cup-11.jar;do
rm -rf java_cup-%{version}/bin/$i
done
%endif

%build
%if 0%{?with_bootstrap}
export CLASSPATH=$(build-classpath java_cup java_cup-runtime jflex)
%endif
ant -Dcupversion=20150326
find -name parser.cup |xargs rm -rf
ant javadoc
jar ufm dist/java-cup-11b.jar %{SOURCE1}
jar ufm dist/java-cup-11b-runtime.jar %{SOURCE2}

%install
%mvn_artifact java_cup:java_cup:%{version} dist/java-cup-11b.jar
%mvn_artifact java_cup:java_cup-runtime:%{version} dist/java-cup-11b-runtime.jar
%mvn_install -J dist/javadoc

%files -f .mfiles
%license licence.txt

%files help -f .mfiles-javadoc
%doc changelog.txt
%doc manual.html

%changelog
* Mon Mar 16 2020 gulininggulining1@huawei.com> 0.11b-13
- add miss symbol

* Sun Mar 15 2020 gulining<gulining1@huawei.com> 0.11b-12
- without bootstrap

* Mon Jan 20 2020 daiqianwen <daiqianwen@huawei.com> 0.11b-11
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Mon Dec 23 2019 zhujunhao <zhujunhao5@huawei.com> 0.11b-10
- Package init
